## mythbuntu-common 0.40

=== Makefile ===
update-po:
	find -regex "./\(plugins\).*\.\(py\|glade\|ui\|in\)" \
		| sed '/gtk\.ui/ s,^,[type: gettext/glade],' > po/POTFILES.in
	python setup.py build_i18n --merge-po --po-dir po

clean:
	rm -rf build/*
	find tools/pypack -type f -name "*.pyo" -delete

translations: po/*.po
	# TODO evand 2009-07-28: Ideally we should build the mo files once,
	# instead of once here and once in setup.py.
	# Taken from Wubi.
	rm -rf build/translations
	mkdir -p build/translations/
	@for po in $^; do \
		language=`basename $$po`; \
		language=$${language%%.po}; \
		target="build/translations/$$language/LC_MESSAGES"; \
		mkdir -p $$target; \
		msgfmt --output=$$target/mythbuntu-common.mo $$po; \
	done

## mythbuntu-common 0.63

=== debian/changelog ===
mythbuntu-common (0.63) oneiric; urgency=low

  * Fix hang in installer plugin myth-drivers. (LP: #867856)

 -- Mario Limonciello <Mario_Limonciello@Dell.com>  Wed, 05 Oct 2011 00:11:38 -0500

mythbuntu-common (0.62) oneiric; urgency=low

  * Disable encouraging fglrx in the installer.
  * Fix cut off text in themes tab.

 -- Mario Limonciello <Mario_Limonciello@Dell.com>  Fri, 09 Sep 2011 16:09:10 -0500

mythbuntu-common (0.61) oneiric; urgency=low

  * Convert installer plugin to pygi/gtk3.
  * Make into a native package version instead.

 -- Mario Limonciello <Mario_Limonciello@Dell.com>  Sun, 28 Aug 2011 22:02:06 -0500

mythbuntu-common (0.60-0ubuntu1) oneiric; urgency=low

  [ Thomas Mashos ]
  * Removed Mythbuntu-bare, now in a separate package
  * Fix database backup not backing up when selected
  * Fix restore_db notifying user when not restoring db

 -- Mario Limonciello <Mario_Limonciello@Dell.com>  Mon, 08 Aug 2011 12:15:22 -0500

mythbuntu-common (0.59-0ubuntu1) natty; urgency=low

  * Fix some spacing problems in bare.
  * Fix bare restore (LP: #761189)
  * Store bare configuration in /etc/default not /etc/mythbuntu-bare.

 -- Mario Limonciello <Mario_Limonciello@Dell.com>  Sun, 17 Apr 2011 16:24:58 -0500

mythbuntu-common (0.58-0ubuntu1) natty; urgency=low

  [ Thomas Mashos ]
  * Fixed MCC bare plugin crash when no config file detected
  * Fixed MCC bare plugin to show final wizard page if schedule is disabled

 -- Mario Limonciello <Mario_Limonciello@Dell.com>  Fri, 18 Mar 2011 02:22:43 -0500

mythbuntu-common (0.57-0ubuntu1) natty; urgency=low

  [ Thomas Mashos ]
  * Added ability to schedule backups using the Bare MCC plugin
  * Separated backup and restore scripts from Bare plugin code
  * Relocated python scripts to a separate Bare directory
  * Added checkin functionality to Bare plugin to look for config changes

  [ Dave Walker (Daviey) ]
  * debian/control: Bump to Standards-Version 3.9.1 (no changes needed).

 -- Thomas Mashos <tgm4883@gmail.com>  Wed, 23 Feb 2011 17:43:23 -0800

mythbuntu-common (0.56-0ubuntu1) natty; urgency=low

  * Add basic support for QR codes to install Android or iOS apps for remote.

 -- Mario Limonciello <superm1@ubuntu.com>  Tue, 08 Feb 2011 02:31:23 -0600

mythbuntu-common (0.55-0ubuntu1) natty; urgency=low

  * Fix the logic for modifying the security pin (LP: #647367)
  * Fix the security pin check to support 0.24 backends.
  * Rebuild for python 2.7 transition. (LP: #712021)

 -- Mario Limonciello <Mario_Limonciello@Dell.com>  Wed, 02 Feb 2011 17:55:26 -0600

mythbuntu-common (0.54-0ubuntu1) maverick; urgency=low

  * Fixed backup now screen doesn't let you pass without selecting it
  * Clarify text in GUI for user
  * Include udev rules in backup.

 -- Thomas Mashos <thomas@earth.symsupport.test>  Tue, 14 Sep 2010 08:52:59 -0700

mythbuntu-common (0.53-0ubuntu1) maverick; urgency=low

  * Check files exist before backing up
  * Check restore file is a valid tarfile
  * Check backup directory exists
  * Fixed issue with plugin not resetting to default values

 -- Thomas Mashos <tgm4883@gmail.com>  Wed, 08 Sep 2010 17:50:52 -0700

mythbuntu-common (0.52-0ubuntu1) maverick; urgency=low

  [ Thomas Mashos ]
  * Finished adding restore functionality
  * Disabled scheduling options (Deferred)

  [ Mario Limonciello ]
  * Fix themes page text.
  * Fix spacing on the remotes page.

 -- Mario Limonciello <Mario_Limonciello@Dell.com>  Tue, 31 Aug 2010 10:30:17 -0500

mythbuntu-common (0.51-0ubuntu2) maverick; urgency=low

  [ Mario Limonciello ]
  * Remove architecture specificities from recommends.

 -- Mario Limonciello <Mario_Limonciello@Dell.com>  Sat, 14 Aug 2010 02:35:02 -0500

mythbuntu-common (0.51-0ubuntu1) maverick; urgency=low

  [ Thomas Mashos ]
  * Add the mythbuntu-bare backup/restore plugin.

  [ Mario Limonciello ]
  * Shuffle the UI for the remote control page around a little bit for ubiquity.

 -- Mario Limonciello <Mario_Limonciello@Dell.com>  Thu, 12 Aug 2010 13:14:56 -0500

mythbuntu-common (0.50-0ubuntu1) lucid; urgency=low

  * Added PATH to proprietary codecs plugin (LP: #565769)

 -- Thomas Mashos <tgm4883@gmail.com>  Sun, 18 Apr 2010 16:42:31 -0700

mythbuntu-common (0.49-0ubuntu2) lucid; urgency=low

  * debian/control:
    - Depends on vnc4server instead since vnc4-common has been removed
      from the archive.

 -- Mario Limonciello <superm1@ubuntu.com>  Sat, 03 Apr 2010 19:23:02 -0500

mythbuntu-common (0.49-0ubuntu1) lucid; urgency=low

  * debian/control:
    - Update branches to pull from ~mythbuntu-dev
  * debian/mythbuntu.make:
    - Set packages to pull from ~mythbuntu-dev

 -- Mario Limonciello <superm1@ubuntu.com>  Sat, 03 Apr 2010 17:41:54 -0500

mythbuntu-common (0.48-0ubuntu1) lucid; urgency=low

  [ Marc Randolph ]
  * Remove MythFlix (LP: #544521)
  * Clean up plugins section of MCC (use just one alignment rather than 7)

  [ Mario Limonciello ]
  * Clarify what the themes actually are to reflect what we ship today.
  * debian/control:
    - Bump standards version.

 -- Mario Limonciello <Mario_Limonciello@Dell.com>  Sun, 28 Mar 2010 00:57:40 -0500

mythbuntu-common (0.47-0ubuntu1) lucid; urgency=low

  * Return errors on do_connection_test if there are any, None if not.
    (LP: #527342)
  * Fix alignment of the plugins plugin.

 -- Mario Limonciello <superm1@ubuntu.com>  Sat, 06 Mar 2010 16:25:12 -0600

mythbuntu-common (0.46-0ubuntu1) lucid; urgency=low

  * Use SecurityKey rather than the different variables for mysql.txt
    throughout the mysql pieces.

 -- Mario Limonciello <superm1@ubuntu.com>  Sun, 21 Feb 2010 20:25:42 -0600

mythbuntu-common (0.45-0ubuntu1) lucid; urgency=low

  * debian/control:
    - Drop depends on mythtv-common.
  * Add mythnetvision to plugins dictionary as it was introduced with 0.23.
  * Drop unused debconftalk class.
  * Write out a config.xml as well as mysql.txt.

 -- Mario Limonciello <superm1@ubuntu.com>  Sun, 21 Feb 2010 20:25:09 -0600



=== debian/control ===
Source: mythbuntu-common
Section: x11
Priority: optional
Maintainer: Ubuntu MythTV Team <ubuntu-mythtv@lists.ubuntu.com>
Build-Depends: debhelper (>=7), python-central, python, python-distutils-extra
XS-Vcs-Bzr: http://bazaar.launchpad.net/~mythbuntu-dev/mythbuntu/mythbuntu-common
XS-Vcs-Browser: http://codebrowse.launchpad.net/~mythbuntu-dev/mythbuntu/mythbuntu-common
XS-Python-Version: current
Standards-Version: 3.9.1

Package: mythbuntu-common
Architecture: all
Depends: ${python:Depends},
         ${misc:Depends},
         python-pexpect,
         python-xkit,
         python-mysqldb,
         vnc4server | vnc4-common,
         python-gconf,
         lsb-release,
         software-properties-gtk,
         libdvdread4
XB-Python-Version: ${python:Versions}
Recommends: nvidia-common, mythbuntu-bare-client
Suggests: mythbuntu-bare-console
Description: Mythbuntu application support functions
 This library is used by multiple mythbuntu applications to provide a common
 interface for several very commonly used functions.
 .
 Depending upon the usage, this application may also be useful by other
 projects needing to accomplish similar tasks.

## mythbuntu-common 0.64

=== debian/changelog ===
mythbuntu-common (0.64) precise; urgency=low

  [ Thomas Mashos ]
  * Merged mythbuntu-repos into this package

  [ Mario Limonciello ]
  * debian/control: bump standards version.
  * debian/prerm: add missing debhelper token.

 -- Mario Limonciello <Mario_Limonciello@Dell.com>  Wed, 07 Dec 2011 10:23:17 -0600

## mythbuntu-common 0.65

=== debian/changelog ===
mythbuntu-common (0.65) precise; urgency=low

  [ Mario Limonciello ]
  * Make sure the repos database is installed.
  * Rename the repos database to repos.db instead (mythbuntu is implied by dir)

  [ Thomas Mashos ]
  * Make the repos page more readable
  * Don't let the repos page fail if the db in ~ got corrupted.

 -- Mario Limonciello <Mario_Limonciello@Dell.com>  Thu, 08 Dec 2011 23:34:55 -0600

## mythbuntu-common 0.66

=== debian/changelog ===
mythbuntu-common (0.66) precise; urgency=low

  * fix repos.db to use tabs (as mcc expects them)

 -- Mario Limonciello <Mario_Limonciello@Dell.com>  Tue, 17 Jan 2012 11:12:38 -0600

## mythbuntu-common 0.67

=== debian/changelog ===
mythbuntu-common (0.67) precise; urgency=low

  [ John Baab ]
  * Drop theme tab (installable from mythtv itself)
  * Removed obsolete plugins from dictionary.

  [ Mario Limonciello ]
  * Drop mythvideos and mythmovies plugin checkboxes (gone in 0.25)
  * Update precise in repos.db.

 -- John Baab <rhpot1991@ubuntu.com>  Mon, 09 Apr 2012 11:38:09 -0500

=== debian/control ===
--- 
+++ 
@@ -6,7 +6,7 @@
 XS-Vcs-Bzr: http://bazaar.launchpad.net/~mythbuntu-dev/mythbuntu/mythbuntu-common
 XS-Vcs-Browser: http://codebrowse.launchpad.net/~mythbuntu-dev/mythbuntu/mythbuntu-common
 XS-Python-Version: current
-Standards-Version: 3.9.1
+Standards-Version: 3.9.2
 
 Package: mythbuntu-common
 Architecture: all
@@ -19,10 +19,13 @@
          python-gconf,
          lsb-release,
          software-properties-gtk,
-         libdvdread4
+         libdvdread4,
+         python-bzrlib
 XB-Python-Version: ${python:Versions}
 Recommends: nvidia-common, mythbuntu-bare-client
 Suggests: mythbuntu-bare-console
+Conflicts: mythbuntu-repos
+Replaces: mythbuntu-repos
 Description: Mythbuntu application support functions
  This library is used by multiple mythbuntu applications to provide a common
  interface for several very commonly used functions.

=== debian/rules ===
#!/usr/bin/make -f

#We can't use the one from mythbuntu.make because it likes Makefiles more than setup.py
%:
	dh -Spython_distutils $@

## mythbuntu-common 0.68

=== debian/changelog ===
mythbuntu-common (0.68) quantal; urgency=low

  * debian/control:
    - Depend on python-xkit (>= 0.5.0).
  * mythbuntu_common/vnc.py:
    - Add support for the new python-xkit API.

 -- Alberto Milone <alberto.milone@canonical.com>  Fri, 08 Jun 2012 16:44:49 +0200

=== debian/control ===
--- 
+++ 
@@ -13,7 +13,7 @@
 Depends: ${python:Depends},
          ${misc:Depends},
          python-pexpect,
-         python-xkit,
+         python-xkit (>= 0.5.0),
          python-mysqldb,
          vnc4server | vnc4-common,
          python-gconf,

## mythbuntu-common 0.69

=== debian/changelog ===
mythbuntu-common (0.69) trusty; urgency=low

  [ Thomas Mashos ]
  * Added tool tips to plugins tab (LP: #869325)
  * Added progress bars to -repos
  * Added Quantal info (LP: #1063086)
  * Have -repos pull from download.mythbuntu.org instead of bzr (LP: #1227831)
  * Fix -repos for python3

  [ Mario Limonciello ]
  * update to python3.
    - currently VNC and Mysql plugins are broken.
    - Need new solution for pexepct and mysqldb.
    - bzrlib broke
    - gconf broke.
  * update to python GI introspection.
  * Add d3des from https://github.com/maizy/vnc-me/blob/master/src/d3des.py
  * drop vnc dependencies.  create vnc password in pure python.
  * drop mysql.txt integration.  use xml only now for current mythtv.

 -- Mario Limonciello <superm1@ubuntu.com>  Tue, 12 Nov 2013 01:16:37 -0600

=== debian/control ===
Source: mythbuntu-common
Section: x11
Priority: optional
Maintainer: Ubuntu MythTV Team <ubuntu-mythtv@lists.ubuntu.com>
Build-Depends: debhelper (>=7), python3-all, python3-distutils-extra
XS-Vcs-Bzr: http://bazaar.launchpad.net/~mythbuntu-dev/mythbuntu/mythbuntu-common
XS-Vcs-Browser: http://codebrowse.launchpad.net/~mythbuntu-dev/mythbuntu/mythbuntu-common
XS-Python-Version: current
Standards-Version: 3.9.3

Package: mythbuntu-common
Architecture: all
Depends: ${python3:Depends},
         ${misc:Depends},
         python3-xkit,
         lsb-release,
         software-properties-gtk,
         libdvdread4,
Recommends: nvidia-common, mythbuntu-bare-client
Suggests: mythbuntu-bare-console
Conflicts: mythbuntu-repos
Replaces: mythbuntu-repos
Description: Mythbuntu application support functions
 This library is used by multiple mythbuntu applications to provide a common
 interface for several very commonly used functions.
 .
 Depending upon the usage, this application may also be useful by other
 projects needing to accomplish similar tasks.

## mythbuntu-common 0.70

=== debian/changelog ===
mythbuntu-common (0.70) trusty; urgency=low

  * Drop some string.split() calls.
  * Sort remotes and blasters in reverse so WMC remotes end up at the top.
  * Drop the graphics drivers tab.  Jockey is gone and those other apps
    should be present in the menus.
  * Use software center rather than synaptic.
  * Fix the spacing problems that happened from expand/fill in GTK3.
  * Drop automatic login configuration.  No GUI tool for this.  Might
    want to revisit later with something else, scripting lightdm-set-defaults
    or something similar.
  * Bump lintian version and compat.

 -- Mario Limonciello <superm1@ubuntu.com>  Tue, 12 Nov 2013 22:05:19 -0600

=== debian/control ===
--- 
+++ 
@@ -2,11 +2,11 @@
 Section: x11
 Priority: optional
 Maintainer: Ubuntu MythTV Team <ubuntu-mythtv@lists.ubuntu.com>
-Build-Depends: debhelper (>=7), python3-all, python3-distutils-extra
+Build-Depends: debhelper (>=9), python3-all, python3-distutils-extra
 XS-Vcs-Bzr: http://bazaar.launchpad.net/~mythbuntu-dev/mythbuntu/mythbuntu-common
 XS-Vcs-Browser: http://codebrowse.launchpad.net/~mythbuntu-dev/mythbuntu/mythbuntu-common
 XS-Python-Version: current
-Standards-Version: 3.9.3
+Standards-Version: 3.9.4
 
 Package: mythbuntu-common
 Architecture: all

## mythbuntu-common 0.72

=== debian/changelog ===
mythbuntu-common (0.72) trusty; urgency=medium

  * drop system updates plugin.  the only real purpose for it was to change
    update notifier behavior which can no longer be modified.
  * drop some broken mysql code that didn't get ported to python3 in time.
  * update to standards 3.9.5.

 -- Mario Limonciello <superm1@ubuntu.com>  Thu, 10 Apr 2014 11:14:31 -0500

mythbuntu-common (0.71) trusty; urgency=medium

  * Make mythbuntu.make call dh_python2/dh_python3, if available.

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Mon, 27 Jan 2014 12:09:22 +0000

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --with=python3

override_dh_auto_clean:
	set -ex; for python in $(shell py3versions -r); do \
		$$python setup.py build; \
	done;
	rm -f po/*.pot

override_dh_auto_build:
	set -ex; for python in $(shell py3versions -r); do \
		$$python setup.py build; \
	done;

override_dh_auto_install:
	set -ex; for python in $(shell py3versions -r); do \
		$$python setup.py install --root=$(CURDIR)/debian/mythbuntu-common --install-layout=deb; \
	done;

## mythbuntu-common 0.74

=== debian/changelog ===
mythbuntu-common (0.74) trusty-proposed; urgency=medium

  [ Mario Limonciello ]
  * Actually clean in the clean target.

  [ Thomas Mashos ]
  * Fix services plugin for VNC crashing (LP: #1309553)
  * Fix mysql plugin crashing (LP: #1316905)

 -- Thomas Mashos <thomas@mashos.com>  Thu, 08 May 2014 14:06:34 -0700

mythbuntu-common (0.73) trusty; urgency=medium

  * Fix installer drivers page crash (LP: #1309119)

 -- Mario Limonciello <superm1@ubuntu.com>  Thu, 17 Apr 2014 13:41:08 -0500

=== debian/control ===
--- 
+++ 
@@ -6,7 +6,7 @@
 XS-Vcs-Bzr: http://bazaar.launchpad.net/~mythbuntu-dev/mythbuntu/mythbuntu-common
 XS-Vcs-Browser: http://codebrowse.launchpad.net/~mythbuntu-dev/mythbuntu/mythbuntu-common
 XS-Python-Version: current
-Standards-Version: 3.9.4
+Standards-Version: 3.9.5
 
 Package: mythbuntu-common
 Architecture: all

=== debian/rules ===
--- 
+++ 
@@ -5,7 +5,7 @@
 
 override_dh_auto_clean:
 	set -ex; for python in $(shell py3versions -r); do \
-		$$python setup.py build; \
+		$$python setup.py clean; \
 	done;
 	rm -f po/*.pot

## mythbuntu-common 0.74build1

=== debian/changelog ===
mythbuntu-common (0.74build1) utopic; urgency=medium

  * No change rebuild for utopic (LP: #1309553, #1316905)

 -- Mario Limonciello <superm1@ubuntu.com>  Thu, 22 May 2014 22:34:08 -0500

## mythbuntu-common 0.76

=== debian/changelog ===
mythbuntu-common (0.76) xenial; urgency=medium

  * Ask about repo config on installation

 -- Thomas Mashos <thomas@mashos.com>  Thu, 18 Feb 2016 22:18:45 -0800

mythbuntu-common (0.75) trusty; urgency=medium

  * Fix Mythexport for Python 3 (LP: #1365090)

 -- Thomas Mashos <thomas@mashos.com>  Wed, 03 Sep 2014 10:47:37 -0700

## mythbuntu-common 0.77

=== debian/changelog ===
mythbuntu-common (0.77) xenial; urgency=medium

  * Disable mythexport plugin.  It will be removed in this release.
  * Update repos.db to match releases in xenial.
  * Include a .desktop file pointing to setup instructions.
  * Update postinst for mythtv 0.28 version
  * Remove build/ on clean.

 -- Mario Limonciello <mario_limonciello@dell.com>  Sun, 03 Apr 2016 16:31:22 -0500

mythbuntu-common (0.76.1) xenial; urgency=medium 

  * Ask and enable update repo during install

 -- Thomas Mashos <thomas@mashos.com>  Tue, 16 Feb 2016 20:04:41 -0800

=== debian/rules ===
--- 
+++ 
@@ -8,6 +8,7 @@
 		$$python setup.py clean; \
 	done;
 	rm -f po/*.pot
+	rm -rf build
 
 override_dh_auto_build:
 	set -ex; for python in $(shell py3versions -r); do \

## mythbuntu-common 0.78.2

=== debian/changelog ===
mythbuntu-common (0.78.2) xenial; urgency=medium

  * Update repos.db download URL. Fixes (LP:#1570690)

 -- Thomas Mashos <thomas@mashos.com>  Thu, 14 Apr 2016 21:29:33 -0700

mythbuntu-common (0.78) xenial; urgency=medium

  [ Mario Limonciello ]
  * don't install .desktop files executable.
  * include first boot initial setup scripts.

  [ Thomas Mashos ]
  * Update repos.db

 -- Mario Limonciello <mario_limonciello@dell.com>  Sun, 10 Apr 2016 22:27:50 -0500

mythbuntu-common (0.77.1) xenial; urgency=medium

  * Set correct repos.db URL. Fixes (LP: #1570690)

 -- Thomas Mashos <thomas@mashos.com>  Thu, 14 Apr 2016 21:09:17 -0700

## mythbuntu-common 0.78.3-0ubuntu1

=== Makefile ===
--- 
+++ 
@@ -5,7 +5,7 @@
 
 clean:
 	rm -rf build/*
-	find tools/pypack -type f -name "*.pyo" -delete
+	find . -type f -name "*.pyo" -delete
 
 translations: po/*.po
 	# TODO evand 2009-07-28: Ideally we should build the mo files once,

=== debian/changelog ===
mythbuntu-common (0.78.3-0ubuntu1) yakkety; urgency=medium

  * Fix field names for mythweb Fixes LP:1581971
  * Set table_cache to table_open_cache since it's changed in the new mysql for 16.04. Fixes LP:1576767

 -- Thomas Mashos <thomas@mashos.com>  Wed, 10 Aug 2016 17:31:02 -0700

=== debian/control ===
--- 
+++ 
@@ -5,8 +5,8 @@
 Build-Depends: debhelper (>=9), python3-all, python3-distutils-extra
 XS-Vcs-Bzr: http://bazaar.launchpad.net/~mythbuntu-dev/mythbuntu/mythbuntu-common
 XS-Vcs-Browser: http://codebrowse.launchpad.net/~mythbuntu-dev/mythbuntu/mythbuntu-common
-XS-Python-Version: current
-Standards-Version: 3.9.5
+XS-Python-Version: >= 3.0
+Standards-Version: 3.9.7
 
 Package: mythbuntu-common
 Architecture: all
